Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 914505

Summary: scilab: FTBFS in rawhide
Product: [Fedora] Fedora Reporter: Dennis Gilmore <dennis>
Component: scilabAssignee: Clément DAVID <c.david86>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 19CC: c.david86, orion
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
URL: http://bugzilla.scilab.org/show_bug.cgi?id=12625
Whiteboard:
Fixed In Version: scilab-5.4.1-3.fc20.src.rpm Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-05-17 22:01:55 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 964307    
Bug Blocks: 913825    

Description Dennis Gilmore 2013-02-22 10:25:01 UTC
Your package scilab failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=4980551

Build logs:
root.log: http://kojipkgs.fedoraproject.org/work/tasks/551/4980551/root.log
build.log: http://kojipkgs.fedoraproject.org/work/tasks/551/4980551/build.log
state.log: http://kojipkgs.fedoraproject.org/work/tasks/551/4980551/state.log
NOTE: build logs are cleaned up after 1 week

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

Comment 1 Clément DAVID 2013-02-25 09:11:00 UTC
*** Bug 914622 has been marked as a duplicate of this bug. ***

Comment 2 Fedora End Of Life 2013-04-03 14:07:13 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 3 Orion Poplawski 2013-05-17 20:18:43 UTC
Unfortunately, compiling with -O0 does not appear to be sufficient to solve all of the compilation issues.  It fixes strindex(), but part() still seems to be broken as well:

bin/scilab -ns -nwni -e "disp(part('/blah/blah/blah',1:5));quit;"

 /


Should return "/blah".   This seems even trickier to track down.

Comment 4 Orion Poplawski 2013-05-17 21:34:19 UTC
Filed a scilab bug.  Fixing the stack declaration also fixed the above issue.